List a post's money events
curl --request GET \
--url https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments \
--header 'x-api-key: <api-key>'import requests
url = "https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"state": "paid",
"currency": "USD",
"earnedCents": 123,
"billedCents": 123,
"creditedCents": 123,
"invoiceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"lastCreditedAt": 123
},
"events": [
{
"id": "<string>",
"kind": "earned",
"occurredAt": 123,
"amountCents": 123,
"currency": "USD",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fundingWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}Posts
List a post's money events
Get the money events behind the post’s payment.state, oldest first. Works for a post that was removed after its rows were deleted.
Event kinds:
earned: the pay owed now on one pay line.billed: the pay line on an invoice.chargedandrefunded: brand money spent from, or given back to, the creator’s reserve. Shown only when your workspace funded the reserve.credited: money added to the creator’s Launchpoint balance. A clawback is a negative credit.excluded: the post was removed;amountCentsis the pending pay removed.
GET
/
posts
/
{id}
/
payments
List a post's money events
curl --request GET \
--url https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments \
--header 'x-api-key: <api-key>'import requests
url = "https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/posts/{id}/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"state": "paid",
"currency": "USD",
"earnedCents": 123,
"billedCents": 123,
"creditedCents": 123,
"invoiceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"lastCreditedAt": 123
},
"events": [
{
"id": "<string>",
"kind": "earned",
"occurredAt": 123,
"amountCents": 123,
"currency": "USD",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fundingWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}Authorizations
API key created in Dashboard → Settings → Developer
Path Parameters
ID of the post
Query Parameters
Choose the data scope. company (default) limits results to the API key company's data. agency includes the parent agency and its linked brands. scope=agency requires a parent agency key; other keys receive 403.
Available options:
company, agency Response
Payment state and events
Show child attributes
Show child attributes